0

I have a VM I'm using to test out things with tomcat8. Since, my PC has java8 installed (and I personally don't want to fall back to java7), I tried installing JRE 1.8 on the "server" vm. Since I'm running Debian 8 (Jessie), I looked into how to install and came to the conclusion (looking at this, for example) that I had to use

sudo apt-get install -t jessie-backports openjdk-8-jre-headless

But when I do that, I get the following error message (which looks like an HTTP error to me):

Reading package lists...
Building dependency tree...
Reading state information...
openjdk-8-jre-headless is already the newest version.
The following packages were automatically installed and are no longer required:
libfontenc1 libxfont1
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 130 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up oracle-java8-installer (8u121-1~webupd8~2) ...
Using wget settings from /var/cache/oracle-jdk8-installer/wgetrc
Downloading Oracle Java 8...
converted 'http://download.oracle.com/otn-pub/java/jdk/8u121-b13/e9e7ea248e2c4826b92b3f075a80e441/jdk-8u121-linux-x64.tar.gz' (ANSI_X3.4-1968) -> 'http://download.oracle.com/otn-pub/java/jdk/8u121-b13/e9e7ea248e2c4826b92b3f075a80e441/jdk-8u121-linux-x64.tar.gz' (UTF-8)
--2017-03-23 12:03:57--  http://download.oracle.com/otn-pub/java/jdk/8u121-b13/e9e7ea248e2c4826b92b3f075a80e441/jdk-8u121-linux-x64.tar.gz
Resolving download.oracle.com (download.oracle.com)... 95.101.114.65,95.101.114.75
Connecting to download.oracle.com (download.oracle.com)|95.101.114.65|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://edelivery.oracle.com/otn-pub/java/jdk/8u121-b13/e9e7ea248e2c4826b92b3f075a80e441/jdk-8u121-linux-x64.tar.gz [following]
converted 'https://edelivery.oracle.com/otn-pub/java/jdk/8u121-b13/e9e7ea248e2c4826b92b3f075a80e441/jdk-8u121-linux-x64.tar.gz' (ANSI_X3.4-1968) -> 'https://edelivery.oracle.com/otn-pub/java/jdk/8u121-b13/e9e7ea248e2c4826b92b3f075a80e441/jdk-8u121-linux-x64.tar.gz' (UTF-8)
--2017-03-23 12:03:58--  https://edelivery.oracle.com/otn-pub/java/jdk/8u121-b13/e9e7ea248e2c4826b92b3f075a80e441/jdk-8u121-linux-x64.tar.gz
Resolving edelivery.oracle.com (edelivery.oracle.com)... 2.23.14.19, 2001:41a8:26:18b::2d3e, 2001:41a8:26:19d::2d3e
Connecting to edelivery.oracle.com (edelivery.oracle.com)|2.23.14.19|:443... failed: Connection refused.
Connecting to edelivery.oracle.com (edelivery.oracle.com)|2001:41a8:26:18b::2d3e|:443... failed: Network is unreachable.
Connecting to edelivery.oracle.com (edelivery.oracle.com)|2001:41a8:26:19d::2d3e|:443... failed: Network is unreachable.
download failed
Oracle JDK 8 is NOT installed.
dpkg: error processing package oracle-java8-installer (--configure):
subprocess installed post-installation script returned error exit status 1
  Errors were encountered while processing:
   oracle-java8-installer

How can I resolve this?

0

From your apt-get output it is clear that JRE 8 from OpenJDK is already installed.

The failure is caused by different package - oracle-java8-installer. It fails to download required files, probably because you cancelled the installation and newer version is already available.

If you don't want that package, remove it with apt-get remove <pkg>. if you want Oracle JDK installed side-by-side with OpenJDK, then you should remove it as well, do apt-get update and finally apt-get install <pkg> to receive newer installation scripts.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.